package demo;

import javafx.scene.layout.Pane;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;

public class Ball {

	private double radius;
	private double x;
	private double y;
	private double dx;
	private double dy;
	private Circle c;
	private Pane pane;
	private boolean torus;

	public Ball(double x, double y, double dx, double dy, double radius, Circle c, Pane pane, boolean torus) {
		this.x = x;
		this.y = y;
		this.dx = dx;
		this.dy = dy;
		this.radius = radius;
		this.c = c;
		this.pane = pane;
		this.torus = torus;
	}

	public void setX(double x) {
		this.x = x;
	}

	public void setY(double y) {
		this.y = y;
	}

	public void setRadius(double radius) {
		this.radius = radius;
	}

	public void setColor(Color c) {
		this.c.setFill(c);
	}

	public double getX() {
		return x;
	}

	public double getY() {
		return y;
	}

	public double getRadius() {
		return radius;
	}

	public Circle getCircle() {
		return c;
	}

	public void move() {
		x += dx;
		y += dy;
		if (x + radius > pane.getWidth() || x - radius < 0) {
			if (torus) {
				x = radius;
			} else {
				dx *= -1;
				x += dx;
			}
		}
		if (y + radius > pane.getHeight() || y - radius < 0) {
			if (torus) {
				y = radius;
			} else {
				dy *= -1;
				y += dy;
			}
		}
	}

	public void draw() {
		c.setRadius(radius);
		c.setTranslateX(x);
		c.setTranslateY(y);
	}
}
