package demo;

import javafx.fxml.FXML;
import javafx.scene.layout.Pane;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;

public class DemoController {

	@FXML
	private Pane pane;

	@FXML
	private Circle ball1;

	@FXML
	private Circle ball2;

	private Juggler juggler = new Juggler();

	@FXML
	public void initialize() {
		ball1.setOnMouseDragged(event -> juggler.drag(event));
		ball2.setOnMouseDragged(event -> juggler.drag(event));
		ball1.setOnMousePressed(event -> juggler.pressed(event));
		ball2.setOnMousePressed(event -> juggler.pressed(event));
		ball1.setOnMouseReleased(event -> juggler.released(event));
		ball2.setOnMouseReleased(event -> juggler.released(event));

		juggler.addBall(new Ball(35, 32, 0, 1, 25, ball1, pane, true));
		juggler.addBall(new Ball(45, 30, 1, 0, 15, ball2, pane, false));


		for (int i = 0; i < 10; i++) {
			Circle c = new Circle();
			c.setFill(Color.GREEN);
			c.setStroke(Color.BLACK);
			c.setOnMouseDragged(event -> juggler.drag(event));
			c.setOnMousePressed(event -> juggler.pressed(event));
			c.setOnMouseReleased(event -> juggler.released(event));
			juggler.addBall(new Ball(35 + i * 4, 32 + i * 4, 1, 1, 25, c, pane, true));
			pane.getChildren().add(c);
		}
		
		juggler.start();
	}
}
