package demo;

import java.util.ArrayList;
import java.util.Optional;

import javafx.scene.Node;
import javafx.scene.input.MouseEvent;
import javafx.scene.paint.Color;

public class Juggler {
	private Movement clock = new Movement();

	private ArrayList<Ball> juggling = new ArrayList<>();
	private ArrayList<Ball> waiting = new ArrayList<>();
	
	public void start() {
		clock.setBalls(juggling);
		clock.start();
	}
	
	public void addBall(Ball b) {
		juggling.add(b);
	}
	
	public void drag(MouseEvent event) {
		Node n = (Node) event.getSource();
		findBall(n, waiting).ifPresent(b -> {
			b.setX(b.getX() + event.getX());
			b.setY(b.getY() + event.getY());
			b.draw();
		});
	}
	
	public void released(MouseEvent event) {
		Node n = (Node) event.getSource();
		findBall(n, waiting).ifPresent(b -> {
			waiting.remove(b);
			juggling.add(b);
			b.setColor(Color.DODGERBLUE);
		});
	}
	
	public void pressed(MouseEvent event) {
		Node n = (Node) event.getSource();
		findBall(n, juggling).ifPresent(b -> {
			juggling.remove(b);
			waiting.add(b);
			b.setColor(Color.DARKRED);
		});
	}

	private Optional<Ball> findBall(Node n, ArrayList<Ball> list) {
		for (Ball b : list) {
			if (b.getCircle().equals(n)) {
				return Optional.of(b);
			}
		}
		return Optional.empty();
	}
}
